[分享]This version of MySQL doesn't yet support 'LIMI_MySQL, Oracle及数据库讨论区_Weblogic技术|Tuxedo技术|中间件技术|Oracle论坛|JAVA论坛|Linux/Unix技术|hadoop论坛_联动北方技术论坛  
网站首页 | 关于我们 | 服务中心 | 经验交流 | 公司荣誉 | 成功案例 | 合作伙伴 | 联系我们 |
联动北方-国内领先的云技术服务提供商
»  游客             当前位置:  论坛首页 »  自由讨论区 »  MySQL, Oracle及数据库讨论区 »
总帖数
1
每页帖数
101/1页1
返回列表
0
发起投票  发起投票 发新帖子
查看: 310 | 回复: 0   主题: [分享]This version of MySQL doesn't yet support 'LIMI        下一篇 
koei666
注册用户
等级:新兵
经验:61
发帖:62
精华:0
注册:2012-1-9
状态:离线
发送短消息息给koei666 加好友    发送短消息息给koei666 发消息
发表于: IP:您无权察看 2014-11-27 11:27:25 | [全部帖] [楼主帖] 楼主

看到This version of MySQL doesn't yet support 'LIMIT & IN/ALL/ANY/SOME subquery'的问题,查询了一些资料,这边就分享一下。它的意思是,这版本的 MySQL 不支持使用 LIMIT 子句的 IN/ALL/ANY/SOME 子查询,即是支持非 IN/ALL/ANY/SOME 子查询的 LIMIT 子查询。

也就是说,这样的语句是不能正确执行的。 

select * from table where id in (select id from table limit 10)


但是,只要你再来一层就行。。如: 

select * from table where id in (select t.id from (select * from table limit 10)as t)




赞(0)    操作        顶端 
总帖数
1
每页帖数
101/1页1
返回列表
发新帖子
请输入验证码: 点击刷新验证码
您需要登录后才可以回帖 登录 | 注册
技术讨论